<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* google-traffic-get-resource.twig */
class __TwigTemplate_a8f343419f5f27672f291aba45c1320fb47ecab874bd333f76185c7c4e2c31c2 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 8
        echo "<!doctype html>
<html lang=\"en\">
<head>
    <title>Xibo Open Source Digital Signage</title>
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\" />
    <meta name=\"viewport\" content=\"width=";
        // line 13
        echo twig_escape_filter($this->env, ($context["viewPortWidth"] ?? null), "html", null, true);
        echo "\" />
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />
    <!-- Copyright 2006-2016 Daniel Garner and Spring Signage Ltd. Part of the Xibo Open Source Digital Signage Solution. Released under the AGPLv3 or later. -->
    <style type=\"text/css\">
        body {
            margin: 0;
            overflow: hidden;
        }
        h1, h2, h3, h4, p {
            margin-top: 0;
        }
        #iframe {
            border: 0;
        }
        #map {
             height: 100%;
        }
    </style>
</head>
<!--[if lt IE 7 ]><body class=\"ie6\"><![endif]-->
<!--[if IE 7 ]><body class=\"ie7\"><![endif]-->
<!--[if IE 8 ]><body class=\"ie8\"><![endif]-->
<!--[if IE 9 ]><body class=\"ie9\"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><body><!--<![endif]-->
<div id=\"content\">
    <div id=\"map\"></div>
</div>
</body>
";
        // line 41
        echo ($context["javaScript"] ?? null);
        echo "
<!-- Replace the value of the key parameter with your own API key. -->
<script async defer src=\"https://maps.googleapis.com/maps/api/js?key=";
        // line 43
        echo twig_escape_filter($this->env, ($context["apiKey"] ?? null), "html", null, true);
        echo "&callback=initMap\"></script>
<script type=\"text/javascript\">
    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: ";
        // line 47
        echo twig_escape_filter($this->env, ($context["zoom"] ?? null), "html", null, true);
        echo ",
            center: {lat: ";
        // line 48
        echo twig_escape_filter($this->env, ($context["lat"] ?? null), "html", null, true);
        echo ", lng: ";
        echo twig_escape_filter($this->env, ($context["long"] ?? null), "html", null, true);
        echo "},
            disableDefaultUI: true
        });

        var trafficLayer = new google.maps.TrafficLayer();
        trafficLayer.setMap(map);
    }

    \$(document).ready(function() {
        \$(\"#map\").height(\$(window).height());
    });
</script>
</html>
";
    }

    public function getTemplateName()
    {
        return "google-traffic-get-resource.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  84 => 48,  80 => 47,  73 => 43,  68 => 41,  37 => 13,  30 => 8,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "google-traffic-get-resource.twig", "/home/mgatv524/public_html/edurocha/modules/google-traffic-get-resource.twig");
    }
}
